Summary: Timezone data
Name: tzdata
Version: 2006a
Release: 2.EL2_1.3
License: GPL
Group: System Environment/Base
Source0: tzdata-base-0.tar.bz2
Source1: ftp://elsie.nci.nih.gov/pub/tzdata%{version}.tar.gz
Source2: ftp://elsie.nci.nih.gov/pub/tzcode%{version}.tar.gz
Patch0: tzdata2006a-srilanka.patch
BuildRequires: gawk, glibc, glibc-common, perl
Conflicts: glibc-common < 2.2.4-32.25
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-root

%description
This package contains data files with rules for various timezones around
the world.

%prep
%setup -n tzdata
mkdir %{name}%{version}
tar xzf %{SOURCE1} -C %{name}%{version}
mkdir tzcode%{version}
tar xzf %{SOURCE2} -C tzcode%{version}
sed -e 's|@objpfx@|'`pwd`'/obj/|' \
    -e 's|@datadir@|%{_datadir}|' \
    -e 's|@install_root@|%{buildroot}|' \
  Makeconfig.in > Makeconfig
%patch0 -p1

%build
make
grep -v tz-art.htm tzcode%{version}/tz-link.htm > tzcode%{version}/tz-link.html

%install
make install

#%check
echo ====================TESTING=========================
make check
echo ====================TESTING END=====================

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/zoneinfo
%doc tzcode%{version}/README tzcode%{version}/Theory tzcode%{version}/tz-link.html

%changelog
* Mon Apr 04 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1.3
- Fix conflicts.

* Mon Apr 04 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1.2
- bump up release for test rebuild

* Mon Apr 03 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1.1
- bump up release for test rebuild

* Fri Mar 31 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1
- initial package (2006a, with Sri Lanka changes)
